{
	"schema": "https://iot-ap.ikonke.com/model/product_1030.json",
	"productType": "lock",
	"profile": {
		"heartbeat": "3000",
		"productCode": "1030",
		"productName": "B1门锁"
	},
	"services": [{
		"identifier": "set",
		"name": "set",
		"required": true,
		"callType": "async",
		"desc": "属性设置",
		"method": "thing.service.property.set",
		"inputData": [{
			"identifier": "Volume",
			"name": "门锁音量",
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "静音",
					"1": "低音",
					"2": "中音",
					"3": "高音"
				}
			}
		}, {
			"identifier": "Language",
			"name": "门锁语言",
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "中文",
					"1": "英文"
				}
			}
		}],
		"outputData": []
	}, {
		"identifier": "get",
		"name": "get",
		"required": true,
		"callType": "async",
		"desc": "属性获取",
		"method": "thing.service.property.get",
		"inputData": ["LockState", "BackLockState", "Battery", "Volume", "Language"],
		"outputData": [{
			"identifier": "LockState",
			"name": "门锁状态",
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "关闭",
					"1": "打开"
				}
			}
		}, {
			"identifier": "BackLockState",
			"name": "门锁状态",
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "关闭",
					"1": "打开"
				}
			}
		}, {
			"identifier": "Battery",
			"name": "电池电量",
			"dataType": {
				"type": "int",
				"specs": {
					"min": "0",
					"max": "100",
					"unit": "%",
					"unitName": "百分比",
					"step": "1"
				}
			}
		}, {
			"identifier": "Volume",
			"name": "门锁音量",
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "静音",
					"1": "低音",
					"2": "中音",
					"3": "高音"
				}
			}
		}, {
			"identifier": "Language",
			"name": "门锁语言",
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "中文",
					"1": "英文"
				}
			}
		}]
	}, {
		"identifier": "OpenLock",
		"name": "远程开锁",
		"required": false,
		"callType": "async",
		"method": "thing.service.OpenLock",
		"inputData": [{
			"identifier": "Password",
			"name": "密码",
			"dataType": {
				"type": "text",
				"specs": {
					"length": "126"
				}
			}
		}],
		"outputData": []
	}, {
		"identifier": "GetKeyList",
		"name": "获取钥匙列表",
		"required": true,
		"callType": "async",
		"method": "thing.service.GetKeyList",
		"inputData": [{
			"identifier": "KeyType",
			"name": "开锁方式",
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "全部",
					"1": "指纹",
					"2": "密码",
					"3": "卡",
					"4": "机械钥匙"
				}
			}
		}],
		"outputData": []
	}, {
		"identifier": "AddKey",
		"name": "添加钥匙",
		"required": true,
		"callType": "async",
		"method": "thing.service.AddKey",
		"inputData": [{
			"identifier": "KeyType",
			"name": "开锁方式",
			"dataType": {
				"type": "enum",
				"specs": {
					"1": "指纹",
					"2": "密码",
					"3": "卡",
					"4": "机械钥匙"
				}
			}
		}, {
			"identifier": "KeyRole",
			"name": "用户权限",
			"dataType": {
				"type": "enum",
				"specs": {
					"1": "普通用户",
					"2": "管理员",
					"3": "劫持用户"
				}
			}
		}, {
			"identifier": "IsValid",
			"name": "是否有效",
			"dataType": {
				"type": "bool",
				"specs": {
					"0": "无效",
					"1": "有效"
				}
			}
		}, {
			"identifier": "KeyName",
			"name": "钥匙昵称",
			"dataType": {
				"type": "text",
				"specs": {
					"length": "255"
				}
			}
		}, {
			"identifier": "KeyEffectiveTime",
			"name": "生效时间",
			"dataType": {
				"type": "int",
				"specs": {
					"min": "1577808001",
					"max": "32472115201"
				}
			}
		}, {
			"identifier": "KeyExpiryTime",
			"name": "失效时间",
			"dataType": {
				"type": "int",
				"specs": {
					"min": "1577808001",
					"max": "32472115201"
				}
			}
		}],
		"outputData": []
	}, {
		"identifier": "ModifyKey",
		"name": "配置钥匙权限",
		"required": false,
		"callType": "async",
		"method": "thing.service.ModifyKey",
		"inputData": [{
			"identifier": "KeyID",
			"name": "钥匙ID",
			"dataType": {
				"type": "text",
				"specs": {
					"length": "10"
				}
			}
		}, {
			"identifier": "KeyType",
			"name": "开锁方式",
			"dataType": {
				"type": "enum",
				"specs": {
					"1": "指纹",
					"2": "密码",
					"3": "卡",
					"4": "机械钥匙"
				}
			}
		}, {
			"identifier": "KeyRole",
			"name": "用户权限",
			"dataType": {
				"type": "enum",
				"specs": {
					"1": "普通用户",
					"2": "管理员",
					"3": "劫持用户"
				}
			}
		}, {
			"identifier": "IsValid",
			"name": "是否有效",
			"dataType": {
				"type": "bool",
				"specs": {
					"0": "无效",
					"1": "有效"
				}
			}
		}, {
			"identifier": "KeyName",
			"name": "钥匙昵称",
			"dataType": {
				"type": "text",
				"specs": {
					"length": "255"
				}
			}
		}, {
			"identifier": "KeyEffectiveTime",
			"name": "生效时间",
			"dataType": {
				"type": "int",
				"specs": {
					"min": "1577808001",
					"max": "32472115201"
				}
			}
		}, {
			"identifier": "KeyExpiryTime",
			"name": "失效时间",
			"dataType": {
				"type": "int",
				"specs": {
					"min": "1577808001",
					"max": "32472115201"
				}
			}
		}],
		"outputData": []
	}, {
		"identifier": "DeleteKey",
		"name": "删除钥匙",
		"required": true,
		"callType": "async",
		"method": "thing.service.DeleteKey",
		"inputData": [{
			"identifier": "KeyID",
			"name": "钥匙ID",
			"dataType": {
				"type": "text",
				"specs": {
					"length": "10"
				}
			}
		}, {
			"identifier": "KeyType",
			"name": "开锁方式",
			"dataType": {
				"type": "enum",
				"specs": {
					"1": "指纹",
					"2": "密码",
					"3": "卡",
					"4": "机械钥匙"
				}
			}
		}, {
			"identifier": "KeyRole",
			"name": "用户权限",
			"dataType": {
				"type": "enum",
				"specs": {
					"1": "普通用户",
					"2": "管理员",
					"3": "劫持用户"
				}
			}
		}],
		"outputData": []
	}],
	"properties": [{
		"identifier": "LockState",
		"name": "门锁状态",
		"accessMode": "r",
		"required": true,
		"dataType": {
			"type": "enum",
			"specs": {
				"0": "关闭",
				"1": "打开"
			}
		}
	}, {
		"identifier": "BackLockState",
		"name": "门反锁状态",
		"accessMode": "r",
		"required": true,
		"dataType": {
			"type": "enum",
			"specs": {
				"0": "关闭",
				"1": "打开"
			}
		}
	}, {
		"identifier": "Battery",
		"name": "电池电量",
		"accessMode": "r",
		"required": false,
		"dataType": {
			"type": "int",
			"specs": {
				"min": "0",
				"max": "100",
				"unit": "%",
				"unitName": "百分比",
				"step": "1"
			}
		}
	}, {
		"identifier": "Volume",
		"name": "门锁音量",
		"accessMode": "rw",
		"required": false,
		"dataType": {
			"type": "enum",
			"specs": {
				"0": "静音",
				"1": "低音",
				"2": "中音",
				"3": "高音"
			}
		}
	}, {
		"identifier": "Language",
		"name": "门锁语言",
		"accessMode": "rw",
		"required": false,
		"dataType": {
			"type": "enum",
			"specs": {
				"0": "中文",
				"1": "英文"
			}
		}
	}, {
		"identifier": "LockKeys",
		"name": "门锁钥匙",
		"accessMode": "rw",
		"desc": "门锁钥匙。",
		"required": false,
		"dataType": {
			"type": "array",
			"specs": {
				"size": "128",
				"item": {
					"type": "struct",
					"specs": [{
						"identifier": "KeyID",
						"name": "钥匙ID",
						"dataType": {
							"type": "text",
							"specs": {
								"length": "10"
							}
						}
					}, {
						"identifier": "KeyType",
						"name": "开锁方式",
						"dataType": {
							"type": "enum",
							"specs": {
								"1": "指纹",
								"2": "密码",
								"3": "卡",
								"4": "机械钥匙"
							}
						}
					}, {
						"identifier": "KeyRole",
						"name": "用户权限",
						"dataType": {
							"type": "enum",
							"specs": {
								"1": "普通用户",
								"2": "管理员",
								"3": "劫持用户"
							}
						}
					}, {
						"identifier": "IsValid",
						"name": "是否有效",
						"dataType": {
							"type": "enum",
							"specs": {
								"0": "无效",
								"1": "有效"
							}
						}
					}, {
						"identifier": "KeyName",
						"name": "钥匙昵称",
						"dataType": {
							"type": "text",
							"specs": {
								"length": "255"
							}
						}
					}, {
						"identifier": "KeyEffectiveTime",
						"name": "生效时间",
						"dataType": {
							"type": "int",
							"specs": {
								"min": "1577808001",
								"max": "32472115201"
							}
						}
					}, {
						"identifier": "KeyExpiryTime",
						"name": "失效时间",
						"dataType": {
							"type": "int",
							"specs": {
								"min": "1577808001",
								"max": "32472115201"
							}
						}
					}]
				}
			}
		}
	}],
	"events": [{
		"identifier": "post",
		"name": "post",
		"type": "info",
		"required": true,
		"desc": "属性上报",
		"method": "thing.event.property.post",
		"outputData": [{
			"identifier": "LockState",
			"name": "门锁状态",
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "关闭",
					"1": "打开"
				}
			}
		}, {
			"identifier": "Battery",
			"name": "电池电量",
			"dataType": {
				"type": "int",
				"specs": {
					"min": "0",
					"max": "100",
					"unit": "%",
					"unitName": "百分比",
					"step": "1"
				}
			}
		}, {
			"identifier": "Volume",
			"name": "门锁音量",
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "静音",
					"1": "低音",
					"2": "中音",
					"3": "高音"
				}
			}
		}, {
			"identifier": "Language",
			"name": "门锁语言",
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "中文",
					"1": "英文"
				}
			}
		}]
	}, {
		"identifier": "LockOpenNotification",
		"name": "开门通知",
		"type": "info",
		"required": true,
		"method": "thing.event.LockOpenNotification.post",
		"outputData": [{
			"identifier": "KeyID",
			"name": "钥匙ID",
			"dataType": {
				"type": "text",
				"specs": {
					"length": "10"
				}
			}
		}, {
			"identifier": "KeyType",
			"name": "开锁方式",
			"dataType": {
				"type": "enum",
				"specs": {
					"1": "指纹",
					"2": "密码",
					"3": "卡",
					"4": "机械钥匙"
				}
			}
		}, {
			"identifier": "KeyRole",
			"name": "用户权限",
			"dataType": {
				"type": "enum",
				"specs": {
					"1": "普通用户",
					"2": "管理员",
					"3": "劫持用户"
				}
			}
		}]
	}, {
		"identifier": "LockNotification",
		"name": "上锁通知",
		"type": "info",
		"required": true,
		"method": "thing.event.LockNotification.post",
		"outputData": []
	}, {
		"identifier": "BackLockNotification",
		"name": "反锁通知",
		"type": "info",
		"required": true,
		"method": "thing.event.BackLockNotification.post",
		"outputData": []
	}, {
		"identifier": "BackLockOpenNotification",
		"name": "反锁解除通知",
		"type": "info",
		"required": true,
		"method": "thing.event.BackLockOpenNotification.post",
		"outputData": []
	}, {
		"identifier": "KeyInformationNotification",
		"name": "钥匙信息上报",
		"type": "info",
		"required": true,
		"method": "thing.event.KeyInformationNotification.post",
		"outputData": [{
			"identifier": "LockKeys",
			"name": "门锁钥匙",
			"dataType": {
				"type": "array",
				"specs": {
					"size": "128",
					"item": {
						"type": "struct",
						"specs": [{
							"identifier": "KeyID",
							"name": "钥匙ID",
							"dataType": {
								"type": "text",
								"specs": {
									"length": "10"
								}
							}
						}, {
							"identifier": "KeyType",
							"name": "开锁方式",
							"dataType": {
								"type": "enum",
								"specs": {
									"1": "指纹",
									"2": "密码",
									"3": "卡",
									"4": "机械钥匙"
								}
							}
						}, {
							"identifier": "KeyRole",
							"name": "用户权限",
							"dataType": {
								"type": "enum",
								"specs": {
									"1": "普通用户",
									"2": "管理员",
									"3": "劫持用户"
								}
							}
						}, {
							"identifier": "IsValid",
							"name": "是否有效",
							"dataType": {
								"type": "bool",
								"specs": {
									"0": "无效",
									"1": "有效"
								}
							}
						}, {
							"identifier": "KeyName",
							"name": "钥匙昵称",
							"dataType": {
								"type": "text",
								"specs": {
									"length": "255"
								}
							}
						}, {
							"identifier": "KeyEffectiveTime",
							"name": "生效时间",
							"dataType": {
								"type": "int",
								"specs": {
									"min": "1577808001",
									"max": "32472115201"
								}
							}
						}, {
							"identifier": "KeyExpiryTime",
							"name": "失效时间",
							"dataType": {
								"type": "int",
								"specs": {
									"min": "1577808001",
									"max": "32472115201"
								}
							}
						}]
					}
				}
			}
		}]
	}, {
		"identifier": "KeyAddNotification",
		"name": "添加钥匙通知",
		"type": "info",
		"required": true,
		"method": "thing.event.KeyAddNotification.post",
		"outputData": [{
			"identifier": "KeyID",
			"name": "钥匙ID",
			"dataType": {
				"type": "text",
				"specs": {
					"length": "10"
				}
			}
		}, {
			"identifier": "KeyType",
			"name": "开锁方式",
			"dataType": {
				"type": "enum",
				"specs": {
					"1": "指纹",
					"2": "密码",
					"3": "卡",
					"4": "机械钥匙"
				}
			}
		}, {
			"identifier": "KeyRole",
			"name": "用户权限",
			"dataType": {
				"type": "enum",
				"specs": {
					"1": "普通用户",
					"2": "管理员",
					"3": "劫持用户"
				}
			}
		}, {
			"identifier": "IsValid",
			"name": "是否有效",
			"dataType": {
				"type": "bool",
				"specs": {
					"0": "无效",
					"1": "有效"
				}
			}
		}, {
			"identifier": "KeyName",
			"name": "钥匙昵称",
			"dataType": {
				"type": "text",
				"specs": {
					"length": "255"
				}
			}
		}, {
			"identifier": "KeyEffectiveTime",
			"name": "生效时间",
			"dataType": {
				"type": "int",
				"specs": {
					"min": "1577808001",
					"max": "32472115201"
				}
			}
		}, {
			"identifier": "KeyExpiryTime",
			"name": "失效时间",
			"dataType": {
				"type": "int",
				"specs": {
					"min": "1577808001",
					"max": "32472115201"
				}
			}
		}]
	}, {
		"identifier": "KeyModifyNotification",
		"name": "修改钥匙通知",
		"type": "info",
		"required": true,
		"method": "thing.event.KeyModifyNotification.post",
		"outputData": [{
			"identifier": "KeyID",
			"name": "钥匙ID",
			"dataType": {
				"type": "text",
				"specs": {
					"length": "10"
				}
			}
		}, {
			"identifier": "KeyType",
			"name": "开锁方式",
			"dataType": {
				"type": "enum",
				"specs": {
					"1": "指纹",
					"2": "密码",
					"3": "卡",
					"4": "机械钥匙"
				}
			}
		}, {
			"identifier": "KeyRole",
			"name": "用户权限",
			"dataType": {
				"type": "enum",
				"specs": {
					"1": "普通用户",
					"2": "管理员",
					"3": "劫持用户"
				}
			}
		}, {
			"identifier": "IsValid",
			"name": "是否有效",
			"dataType": {
				"type": "bool",
				"specs": {
					"0": "无效",
					"1": "有效"
				}
			}
		}, {
			"identifier": "KeyName",
			"name": "钥匙昵称",
			"dataType": {
				"type": "text",
				"specs": {
					"length": "255"
				}
			}
		}, {
			"identifier": "KeyEffectiveTime",
			"name": "生效时间",
			"dataType": {
				"type": "int",
				"specs": {
					"min": "1577808001",
					"max": "32472115201"
				}
			}
		}, {
			"identifier": "KeyExpiryTime",
			"name": "失效时间",
			"dataType": {
				"type": "int",
				"specs": {
					"min": "1577808001",
					"max": "32472115201"
				}
			}
		}]
	}, {
		"identifier": "KeyDeletedNotification",
		"name": "删除钥匙通知",
		"type": "info",
		"required": true,
		"method": "thing.event.KeyDeletedNotification.post",
		"outputData": [{
			"identifier": "KeyID",
			"name": "钥匙ID",
			"dataType": {
				"type": "text",
				"specs": {
					"length": "10"
				}
			}
		}, {
			"identifier": "KeyType",
			"name": "开锁方式",
			"dataType": {
				"type": "enum",
				"specs": {
					"1": "指纹",
					"2": "密码",
					"3": "卡",
					"4": "机械钥匙"
				}
			}
		}, {
			"identifier": "KeyRole",
			"name": "用户权限",
			"dataType": {
				"type": "enum",
				"specs": {
					"1": "普通用户",
					"2": "管理员",
					"3": "劫持用户"
				}
			}
		}]
	}, {
		"identifier": "UnlockedAlarm",
		"name": "门未锁好报警",
		"type": "alert",
		"required": true,
		"method": "thing.event.UnlockedAlarm.post",
		"outputData": []
	}, {
		"identifier": "HijackingAlarm",
		"name": "劫持报警",
		"type": "alert",
		"required": true,
		"method": "thing.event.HijackingAlarm.post",
		"outputData": [{
			"identifier": "KeyID",
			"name": "钥匙ID",
			"dataType": {
				"type": "text",
				"specs": {
					"length": "10"
				}
			}
		}, {
			"identifier": "KeyType",
			"name": "开锁方式",
			"dataType": {
				"type": "enum",
				"specs": {
					"1": "指纹",
					"2": "密码",
					"3": "卡",
					"4": "机械钥匙"
				}
			}
		}]
	}, {
		"identifier": "BatteryAlarm",
		"name": "低电量报警",
		"type": "alert",
		"required": true,
		"method": "thing.event.BatteryAlarm.post",
		"outputData": [{
			"identifier": "Battery",
			"name": "电池电量",
			"dataType": {
				"type": "int",
				"specs": {
					"min": "0",
					"max": "100",
					"unit": "%",
					"unitName": "百分比",
					"step": "1"
				}
			}
		}]
	}, {
		"identifier": "TamperAlarm",
		"name": "防撬报警",
		"type": "alert",
		"required": true,
		"method": "thing.event.TamperAlarm.post",
		"outputData": []
	}, {
		"identifier": "Error",
		"name": "故障上报",
		"type": "error",
		"required": true,
		"method": "thing.event.Error.post",
		"outputData": [{
			"identifier": "ErrorCode",
			"name": "故障代码",
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "正常"
				}
			}
		}]
	}]
}